View Issue Details

IDProjectCategoryView StatusLast Update
0022590mantisbtuipublic2017-04-01 00:13
ReporterdregadAssigned Tocproensa 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.3.0 
Target Version2.3.0Fixed in Version2.3.0 
Summary0022590: Broken javascript and missing footer in My View Page
Description

Symptoms are as follows:

  • The project selector and user menus, as well as the issue boxes collapse buttons are not working.
  • It is not possible to display more events in the timeline
  • The standard page footer is also missing.

This works fine in other parts of the application.

Problem is reproducible on this tracker, with Firefox, and Chrome, while logged in and as anonymous user.

TagsNo tags attached.

Relationships

related to 0022585 closedcproensa Show timeline for specific user 

Activities

dregad

dregad

2017-03-28 06:56

developer   ~0056236

Console shows

common.js:54 Uncaught ReferenceError: List is not defined
dregad

dregad

2017-03-29 08:22

developer   ~0056261

I managed to reproduce this locally - this is in fact a side effect of 0022585:0056235 as shown in the screenshot below.



Related Changesets

MantisBT: master f34c367a

2017-03-29 08:29:31

cproensa


Committer: dregad Details Diff
Fix undefined function error

Introduced by e2d1de8a9f2fc5a7190efa252b2aa6df7e5c6310

Fixes 0022585, 22590

Signed-off-by: Damien Regad <dregad@mantisbt.org>
mod - core/timeline_inc.php Diff File

Issue History

Date Modified Username Field Change
2017-03-28 06:39 dregad New Issue
2017-03-28 06:56 dregad Note Added: 0056236
2017-03-29 08:22 dregad File Added: screenshot-20170329-1419.png
2017-03-29 08:22 dregad Note Added: 0056261
2017-03-29 08:22 dregad Status new => confirmed
2017-03-29 08:22 dregad Relationship added related to 0022585
2017-03-29 08:24 dregad Severity major => crash
2017-03-29 08:24 dregad Description Updated View Revisions
2017-03-29 08:31 dregad Changeset attached => MantisBT master f34c367a
2017-03-29 08:31 dregad Assigned To => cproensa
2017-03-29 08:31 dregad Status confirmed => resolved
2017-03-29 08:31 dregad Resolution open => fixed
2017-03-29 08:31 dregad Fixed in Version => 2.3.0
2017-03-29 08:31 dregad Product Version => 2.3.0
2017-04-01 00:13 vboctoradmin Status resolved => closed